Home CVE Database CVE-2016-4490

CVE-2016-4490

Description

A vulnerability was found in gcc. Due to the inconsistent use of long and int for string/array length in cp-demangle.c there is an integer overflow that leads to a write access violation. The target crashes on an access violation at an address matching the destination operand of the instruction.

Priority: MEDIUM
CVSS v3: 5.5
Publish Date: May 29, 2016
Related ID: --
CVSS v2: Medium
Modified Date: May 29, 2016

Find out more about CVE-2016-4490 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Related Products

Product Name Status Defect Fixed Downloads
Linux 7 SCP Not Vulnerable -- -- --
Linux 7 CGP Not Vulnerable -- -- --

Comments

gcc

Live chat
Online